> ## Documentation Index
> Fetch the complete documentation index at: https://ona.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Prebuild Logs Token

> Creates a logs access token for a prebuild.

`Unary` · [`Prebuilds`](https://ona.com/docs/api-reference/generated/prebuild/overview)

Creates a logs access token for a prebuild.

Use this method to:

* Stream logs from a running prebuild
* Access archived logs from completed prebuilds

Generated tokens are valid for one hour.

### Examples

* Create prebuild logs token:

  Generates a token for accessing prebuild logs.

  ```yaml theme={null}
  prebuildId: "07e03a28-65a5-4d98-b532-8ea67b188048"
  ```

## Endpoint

```text theme={null}
POST /api/gitpod.v1.PrebuildService/CreatePrebuildLogsToken
```

Send a Bearer token as described in [Authentication](https://ona.com/docs/api-reference.md#authenticate-requests). If your organization uses a custom management-plane domain, replace `https://app.ona.com` with that domain.

## Request example

```bash cURL theme={null}
export ONA_HOST=https://app.ona.com
export ONA_API_KEY=<your-token>

curl --request POST \
  --url "$ONA_HOST/api/gitpod.v1.PrebuildService/CreatePrebuildLogsToken" \
  --header "Authorization: Bearer $ONA_API_KEY" \
  --header "Content-Type: application/json" \
  --data '{
  "prebuildId": "<prebuild-id>"
}'
```

```python Python theme={null}
import gitpod.v1.prebuild_pb2 as prebuild_pb2
from ona_sdk import create_client_from_env

ona = create_client_from_env()
request = prebuild_pb2.CreatePrebuildLogsTokenRequest(
    prebuild_id="<prebuild-id>",
)
response = ona.services.prebuild.create_prebuild_logs_token(request)
print(response)
```

```typescript TypeScript theme={null}
import { create } from "@bufbuild/protobuf";
import { createClientFromEnv } from "@gitpod/sdk";
import { CreatePrebuildLogsTokenRequestSchema } from "@gitpod/sdk/gitpod/v1/prebuild_pb";

async function main() {
  const ona = createClientFromEnv();
  const request = create(CreatePrebuildLogsTokenRequestSchema, {
    prebuildId: "<prebuild-id>",
  });
  const response = await ona.services.prebuild.createPrebuildLogsToken(request);
  console.log(response);
}

main().catch(console.error);
```

```go Go theme={null}
package main

import (
	"context"
	"fmt"
	"log"

	"connectrpc.com/connect"
	"github.com/gitpod-io/gitpod-sdk-go/sdk"
	gitpodpb "github.com/gitpod-io/gitpod-sdk-go/v1"
)

func main() {
	ona, err := sdk.NewFromEnv()
	if err != nil {
		log.Fatal(err)
	}

	request := connect.NewRequest(&gitpodpb.CreatePrebuildLogsTokenRequest{
		PrebuildId: "<prebuild-id>",
	})
	response, err := ona.Services.Prebuild.CreatePrebuildLogsToken(context.Background(), request)
	if err != nil {
		log.Fatal(err)
	}
	fmt.Println(response.Msg)
}
```

```json Request body theme={null}
{
  "prebuildId": "<prebuild-id>"
}
```

## Request

`gitpod.v1.CreatePrebuildLogsTokenRequest`

| Field | Type | Required | Description |
| - | - | - | - |
| `prebuildId` | string | Yes | prebuild\_id specifies the prebuild for which the logs token should be created. Constraints: `required=true, string.uuid=true`. |

## Response

`gitpod.v1.CreatePrebuildLogsTokenResponse`

| Field | Type | Required | Description |
| - | - | - | - |
| `accessToken` | string | Yes | access\_token is the token that can be used to access the logs of the prebuild Constraints: `required=true`. |


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.